Skip to main content
POST
/
teams
/
{team_token}
/
members
Add team member
curl --request POST \
  --url https://api.vantage.sh/v2/teams/{team_token}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_email": "<string>",
  "role": "editor"
}
'
import requests

url = "https://api.vantage.sh/v2/teams/{team_token}/members"

payload = {
"user_email": "<string>",
"role": "editor"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_email: '<string>', role: 'editor'})
};

fetch('https://api.vantage.sh/v2/teams/{team_token}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user_email": "john.doe@acme.com",
  "role": "editor"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

team_token
string
required

Body

application/json

Add a member to a Team.

user_email
string
required

The email address of the user to add to the Team.

role
enum<string>
default:editor
required

The role to assign to the user. Defaults to 'editor'.

Available options:
owner,
editor,
viewer,
integration_owner

Response

TeamMember model

name
string
required

The name of the team member.

Example:

"John Doe"

email
string
required

The email address of the team member.

Example:

"john@acme.com"

user_token
string
required

The token of the team member.

Example:

"usr_abcd1234"

role
string
required

The role of the team member in the team.

Example:

"editor"